changeset 539:85979aa53fde

Teach build.sh not to rerun build stages we already have the result of.
author Rob Landley <rob@landley.net>
date Sun, 14 Dec 2008 03:31:48 -0600
parents 808ba1d186ac
children d0b059fd91a8
files build.sh
diffstat 1 files changed, 22 insertions(+), 3 deletions(-) [+]
line wrap: on
line diff
--- a/build.sh	Sun Dec 14 03:31:00 2008 -0600
+++ b/build.sh	Sun Dec 14 03:31:48 2008 -0600
@@ -22,8 +22,27 @@
 for i in "$@"
 do
   echo "=== Building ARCH $i"
-  time ./cross-compiler.sh $i || exit 1
+
+  if [ -f "build/cross-compiler-$i.tar.bz2" ]
+  then
+    echo "=== Skipping cross-compiler-$i (already there)"
+  else
+	rm -rf "build/mini-native-$i.tar.bz2"
+    time ./cross-compiler.sh $i || exit 1
+  fi
   echo "=== native ($i)"
-  time ./mini-native.sh $i || exit 1
-  time ./package-mini-native.sh $i || exit 1
+  if [ -f "build/mini-native-$i.tar.bz2" ]
+  then
+    echo "=== Skipping mini-native-$i (already there)"
+  else
+	rm -rf "build/system-image-$i.tar.bz2"
+    time ./mini-native.sh $i || exit 1
+  fi
+
+  if [ -f "build/system-image-$i.tar.bz2" ]
+  then
+    echo "=== Skipping system-image-$i (already there)"
+  else
+    time ./package-mini-native.sh $i || exit 1
+  fi
 done